Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.viewmodel
Class ModelEvent.NodeChanged

    java.lang.Object
      java.util.EventObject
          org.netbeans.spi.viewmodel.ModelEvent
              org.netbeans.spi.viewmodel.ModelEvent.NodeChanged

All Implemented Interfaces:
  Serializable

Enclosing class:
  ModelEvent

    public static class ModelEvent.NodeChanged

extends ModelEvent

Used to notify that one node has been changed (icon, displayName and children).

Since:
  1.4
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.netbeans.spi.viewmodel.ModelEvent
`ModelEvent.NodeChanged, ModelEvent.TableValueChanged, ModelEvent.TreeChanged`

Field Summary
`static int` | `CHILDREN_MASK` The mask for children change.
`static int` | `DISPLAY_NAME_MASK` The mask for display name change.
`static int` | `ICON_MASK` The mask for icon change.
`static int` | `SHORT_DESCRIPTION_MASK` The mask for short description change.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ModelEvent.NodeChanged(Object source, Object node)` Creates a new instance of NodeChanged event.
`ModelEvent.NodeChanged(Object source, Object node, int change)` Creates a new instance of NodeChanged event.

Method Summary
`int` | `getChange()` Get the change mask.
`Object` | `getNode()` Returns changed node instance.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISPLAY_NAME_MASK

    public static final int DISPLAY_NAME_MASK

  The mask for display name change.

  Since:
    1.6
  See Also:
    Constant Field Values

### ICON_MASK

    public static final int ICON_MASK

  The mask for icon change.

  Since:
    1.6
  See Also:
    Constant Field Values

### SHORT_DESCRIPTION_MASK

    public static final int SHORT_DESCRIPTION_MASK

  The mask for short description change.

  Since:
    1.6
  See Also:
    Constant Field Values

### CHILDREN_MASK

    public static final int CHILDREN_MASK

  The mask for children change.

  Since:
    1.6
  See Also:
    Constant Field Values

Constructor Detail

### ModelEvent.NodeChanged

    public ModelEvent.NodeChanged(Object source,
                                  Object node)

  Creates a new instance of NodeChanged event.

  Parameters:
    `source` - a source if event.
    `node` - a changed node instance
  Since:
    1.4

### ModelEvent.NodeChanged

    public ModelEvent.NodeChanged(Object source,
                                  Object node,
                                  int change)

  Creates a new instance of NodeChanged event.

  Parameters:
    `source` - a source if event.
    `node` - a changed node instance.
    `change` - one of the *_MASK constant or their aggregation.
  Since:
    1.6

Method Detail

### getNode

    public Object getNode()

  Returns changed node instance.

  Returns:
    changed node instance
  Since:
    1.4

### getChange

    public int getChange()

  Get the change mask.

  Returns:
    the change mask, one of the *_MASK constant or their aggregation.
  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.